跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 25.6.2, which is no longer the latest release. See the latest release.

Unsubscribe user from issue

DELETE
/repos/{owner}/{repo}/issues/{index}/subscriptions/{user}
curl --request DELETE \
--url https://gitea.example.com/api/v1/repos/example/example/issues/1/subscriptions/example \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

index
required
integer format: int64

Index of the issue

user
required
string

Username of the user to unsubscribe from an issue

Already unsubscribed

Media typeapplication/json

Successfully Unsubscribed

Media typeapplication/json

User can only subscribe itself if he is no admin

Media typeapplication/json

APINotFound is a not found empty response

Media typeapplication/json